<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--



    If you change this file, make sure you do the same thing to index.html.
    
    There are a few (intended) differences between test.html and index.html:
    * test.html closes itself when the test run completes (so this is the file the bots use, since otherwise the test will time out waiting for firefox to exit)
    * index.html does not load the test plugin (libshocker.so in moonlight), since it would make it a lot harder to run with VS.
      - this also means that the error handling is different: test.html closes itself, while index.html can't, so it just shows the error in the page.

    Those differences are the only differences these files should have.





-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Moonlight Unit Test Harness</title>
    <style type="text/css">
        html, body
        {
            height: 100%;
            overflow: auto;
        }
        body
        {
            padding: 0;
            margin: 0;
        }
        #silverlightControlHost
        {
            height: 100%;
        }
    </style>

    <script language="javascript" src="../../../js/js/utils.js" type="text/javascript"></script>
    <script language="javascript" src="../../../js/js/testplugin.js" type="text/javascript"></script>
    <script language="javascript" type="text/javascript">

        function ShutdownHarness() {
            TestLogger.LogDebug("ShutdownHarness.");
            SignalShutdown();
        }

        function onSilverlightLoad(sender, args) {
            TestLogger.LogDebug("OnPluginLoad");
        }

        function onSilverlightError(sender, args) {
            TestLogger.LogError("Plugin failed to initialize: " + args.ErrorMessage);
            TestLogger.LogResult(-1);
            SignalShutdown();
        }		

        function ScriptObjectInvokeSelfTest() {
            return true;
        }
	</script>
</head>
<body>
    <!-- Runtime errors from Silverlight will be displayed here.
	This will contain debugging information and should be removed or hidden when debugging is completed -->
    <div id='errorLocation' style="font-size: small; color: Gray;">
    </div>
    <div id="silverlightControlHost">
        <object id="silverlight" data="data:application/x-silverlight-2," type="application/x-silverlight-2" width="1600" height="1200">
            <param name="source" value="ClientBin/moon-unit.xap" />
            <param name="onerror" value="onSilverlightError" />
            <param name="onload" value="onSilverlightLoad" />
            <param name="background" value="white" />
        </object>
        <iframe style='visibility: hidden; height: 0; width: 0; border: 0px'></iframe>
    </div>
</body>
</html>
